Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 986021 - Add Resource: onchange event behaving strangely in Firefox if item from menu focused by cursor then focus switched elsewhere
Summary: Add Resource: onchange event behaving strangely in Firefox if item from menu ...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jan Pokorný [poki]
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-18 19:02 UTC by Jan Pokorný [poki]
Modified: 2016-08-24 21:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-24 21:20:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Pokorný [poki] 2013-07-18 19:02:20 UTC
This reproduces 100% for me at FF19@F17 and FF22@F18:

1. navigate to Resources tab for particular cluster
2. click Add, Add Resource to Cluster dialog will open
3. click once on "-- Select a Resource --"; drop-down menu will drop
4. focus any active item here, but do not click
5. move the cursor at any other place in the page except the area covered
   by drop-down menu (the original bar of the drop-down menu is OK)
6. click once; nothing happens (even if the cursor is over Cancel button!)
7. either click once more or press Esc

Actual results:
Dialog behaves as if the last focused item in the drop-down menu was
really selected (with a click).

Expected results:
Dialog does not mimic item selection, instead the input events are
handled as expected (e.g., if Cancel button was clicked, dialog is
closed immediately).


This might eventually be a bug in Firefox or jQuery (might be worth testing
with newer jQuery/UI).  Also might be worth testing some other browsers.

Also, I've found this pointer:
http://stackoverflow.com/questions/17403991/jquery-1-4-select-onchange-fired-without-click-firefox

P.S. I think I hit this issue some longer time ago.  Unfortunately no
evidence of bug report.

Comment 1 Jan Pokorný [poki] 2013-07-19 12:39:51 UTC
Places that are equally affected by this (perhaps still non-exhaustive):

- Fence Devices > Add > Add Fence Device (Instance) dialog
- Service Groups > Add > Add Service Group to Cluster > Add Resource
  > Add Resource to Service dialog

Note that it probably only matter of drop-downs with "onchange" event
handler, at others no strange behavior is observed, for instance:

  Service Groups > particular group > Start on node... drop-down menu

Comment 2 Radek Steiger 2013-07-19 14:29:43 UTC
Checked on other browsers: 
 - Google Chrome 28.0
 - Konqueror 4.8.4
 - Epiphany 3.4.2

None of them seem to be affected. The bug may be related to Gecko-based browsers only.

Comment 6 Jan Pokorný [poki] 2016-08-24 21:20:22 UTC
Minor issue, let's forget about it, owing to the point in the release
cycle.


Note You need to log in before you can comment on or make changes to this bug.